apiVersion: kubevirt.io/v1
kind: VirtualMachineInstance
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    kubevirt.io/vm-generation: "1"
    vm.kubevirt.io/flavor: large
    vm.kubevirt.io/os: rhel9
    vm.kubevirt.io/workload: server
  creationTimestamp: "2025-02-25T09:56:34Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  - foregroundDeleteVirtualMachine
  generation: 11
  labels:
    kubevirt.io/domain: rhel9-plain-server
    kubevirt.io/nodeName: d39-h09-000-r660
    kubevirt.io/size: large
    network.kubevirt.io/headlessService: headless
  name: rhel9-plain-server
  namespace: default
  ownerReferences:
  - apiVersion: kubevirt.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: VirtualMachine
    name: rhel9-plain-server
    uid: a572265a-36ee-4591-a959-7d9edbcaad79
  resourceVersion: "19531392"
  uid: 93b487c6-1f1d-4021-9ded-ef1d089e1d36
spec:
  architecture: amd64
  domain:
    cpu:
      cores: 1
      maxSockets: 8
      model: host-model
      sockets: 2
      threads: 1
    devices:
      disks:
      - disk:
          bus: virtio
        name: rootdisk
      - disk:
          bus: virtio
        name: cloudinitdisk
      interfaces:
      - macAddress: 02:4e:65:00:00:11
        masquerade: {}
        model: virtio
        name: default
      networkInterfaceMultiqueue: true
      rng: {}
    features:
      acpi:
        enabled: true
      smm:
        enabled: true
    firmware:
      bootloader:
        efi: {}
      uuid: 70f1a751-019d-5a47-9d71-ae0494408ad3
    machine:
      type: pc-q35-rhel9.4.0
    memory:
      guest: 8Gi
      maxGuest: 32Gi
    resources:
      requests:
        memory: 8Gi
  evictionStrategy: LiveMigrate
  networks:
  - name: default
    pod: {}
  terminationGracePeriodSeconds: 180
  volumes:
  - dataVolume:
      name: rhel9-plain-server
    name: rootdisk
  - cloudInitNoCloud:
      userData: |
        #cloud-config
        user: cloud-user
        password: 100yard-
        chpasswd:
          expire: false
    name: cloudinitdisk
status:
  activePods:
    ae57a034-9ddc-4bb6-a3ec-37e5e6ad0e42: d39-h09-000-r660
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-02-25T09:56:39Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    message: All of the VMI's DVs are bound and not running
    reason: AllDVsReady
    status: "True"
    type: DataVolumesReady
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: LiveMigratable
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: StorageLiveMigratable
  - lastProbeTime: "2025-02-25T09:57:02Z"
    lastTransitionTime: null
    status: "True"
    type: AgentConnected
  currentCPUTopology:
    cores: 1
    sockets: 2
    threads: 1
  guestOSInfo:
    id: rhel
    kernelRelease: 5.14.0-503.11.1.el9_5.x86_64
    kernelVersion: '#1 SMP PREEMPT_DYNAMIC Mon Sep 30 11:54:45 EDT 2024'
    machine: x86_64
    name: Red Hat Enterprise Linux
    prettyName: Red Hat Enterprise Linux 9.5 (Plow)
    version: 9.5 (Plow)
    versionId: "9.5"
  interfaces:
  - infoSource: domain, guest-agent
    interfaceName: eth0
    ipAddress: 10.128.10.10
    ipAddresses:
    - 10.128.10.10
    mac: 02:4e:65:00:00:11
    name: default
    podInterfaceName: eth0
    queueCount: 2
  launcherContainerImageVersion: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:250bbd4d6f93670a26e559869004bddf34744e86a8e7d1ef534932e7f443417d
  machine:
    type: pc-q35-rhel9.4.0
  memory:
    guestAtBoot: 8Gi
    guestCurrent: 8Gi
    guestRequested: 8Gi
  migrationMethod: BlockMigration
  migrationTransport: Unix
  nodeName: d39-h09-000-r660
  phase: Running
  phaseTransitionTimestamps:
  - phase: Pending
    phaseTransitionTimestamp: "2025-02-25T09:56:34Z"
  - phase: Scheduling
    phaseTransitionTimestamp: "2025-02-25T09:56:34Z"
  - phase: Scheduled
    phaseTransitionTimestamp: "2025-02-25T09:56:39Z"
  - phase: Running
    phaseTransitionTimestamp: "2025-02-25T09:56:41Z"
  qosClass: Burstable
  runtimeUser: 107
  selinuxContext: system_u:object_r:container_file_t:s0:c754,c998
  virtualMachineRevisionName: revision-start-vm-a572265a-36ee-4591-a959-7d9edbcaad79-1
  volumeStatus:
  - name: cloudinitdisk
    size: 1048576
    target: vdb
  - name: rootdisk
    persistentVolumeClaimInfo:
      accessModes:
      - ReadWriteMany
      capacity:
        storage: 30Gi
      claimName: rhel9-plain-server
      filesystemOverhead: "0"
      requests:
        storage: "32212254720"
      volumeMode: Block
    target: vda
